package sota.gui.preferences;

/**
 * Die Definition der Prferenzkonstanten.
 */
public class PreferenceConstants {

	public static final String P_PATH = "pathPreference";
	public static final String P_BOOLEAN = "booleanPreference";
	public static final String P_CHOICE = "choicePreference";
	public static final String P_STRING = "stringPreference";

	public static final String SOURCE_LINE_HIT_COLOR = "sourceViewLineHitColor";
	public static final String SOURCE_LINE_MISS_COLOR = "sourceViewLineMissColor";
	public static final String SOURCE_INDENT_SIZE = "sourceViewIndentSize";
	public static final String SOURCE_KEYWORD_COLOR = "sourceViewKeywordColor";
	public static final String SOURCE_COMMENT_COLOR = "sourceViewCommentColor";
	public static final String SOURCE_STRING_COLOR = "sourceViewStringColor";
	public static final String SOURCE_ASC_COLOR = "sourceViewASCColor";

	public static final String CFG_SHOW_CONDITIONCOVERAGE_LABELS = "CFGCondLabels";
	public static final String CFG_SHOW_PATHCOVERAGE_LABELS = "CFGPathLabels";
	public static final String CFG_SHOW_BASICOVERAGE_LABELS = "CFGBasicLabels";
	public static final String CFG_NODE_DEF_COLOR = "CFGViewNodeDEFColor";
	public static final String CFG_NODE_HIT_COLOR = "CFGViewNodeHitColor";
	public static final String CFG_NODE_MISS_COLOR = "CFGViewNodeMissColor";
	public static final String CFG_BRANCHINIG_NODE_COLOR = "CFGViewBranchingNodeColor";
	public static final String CFG_SHOW_BRANCHING_NODE_COLOR = "CFGViewShowBranchingNodeColor";
	public static final String CFG_EDGE_DEF_COLOR = "CFGViewEdgeDEFColor";
	public static final String CFG_EDGE_HIT_COLOR = "CFGViewEdgeHitColor";
	public static final String CFG_EDGE_MISS_COLOR = "CFGViewEdgeMissColor";
	public static final String CFG_CURR_LINE_COLOR = "CFGViewCurrLineColor";
	public static final String CFG_DEF_COV_LABEL = "CFGViewDefCoverageColor";
	public static final String CFG_EDGE_WIDTH = "CFGViewEdgeWidth";
	public static final String CFG_EDGE_HIT_STYLE = "CFGViewEdgeHitStyle";
	public static final String CFG_EDGE_MISS_STYLE = "CFGViewEdgeMissStyle";
	public static final String CFG_EDGE_EXCEPTION_STYLE = "CFGViewEdgeExceptionStyle";

	public static final String COVERAGE_FIRST_BAR = "CoverageViewFirstBar";
	public static final String COVERAGE_SECOND_BAR = "CoverageViewSecondBar";
	public static final String COVERAGE_THIRD_BAR = "CoverageViewThirdBar";
	public static final String COVERAGE_FOURTH_BAR = "CoverageViewFourthBar";
	public static final String COVERAGE_FIFTH_BAR = "CoverageViewFifthBar";

	public static final String COVERAGE_TOP_BAR_COLOR = "CoverageViewTopBarColor";
	public static final String COVERAGE_FIRST_BAR_COLOR = "CoverageViewFirstBarColor";
	public static final String COVERAGE_SECOND_BAR_COLOR = "CoverageViewSecondBarColor";
	public static final String COVERAGE_THIRD_BAR_COLOR = "CoverageViewThirdBarColor";
	public static final String COVERAGE_FOURTH_BAR_COLOR = "CoverageViewFourthBarColor";
	public static final String COVERAGE_FIFTH_BAR_COLOR = "CoverageViewFifthBarColor";
	public static final String COVERAGE_ABOVE_BOTTOM_BAR_COLOR = "CoverageViewAboveBottomBarColor";
	public static final String COVERAGE_BOTTOM_BAR_COLOR = "CoverageViewBottomBarColor";

	public static final String REPORT_TOP_BAR_COLOR = "ReportTopBarColor";
	public static final String REPORT_BOTTOM_BAR_COLOR = "ReportBottomBarColor";
	public static final String REPORT_FIRST_BAR_COLOR = "ReportFirstBarColor";
	public static final String REPORT_SECOND_BAR_COLOR = "ReportSecondBarColor";
	public static final String REPORT_THIRD_BAR_COLOR = "ReportThirdBarColor";
	public static final String REPORT_FOURTH_BAR_COLOR = "ReportFourthBarColor";
	public static final String REPORT_FIFTH_BAR_COLOR = "ReportFifthBarColor";
	public static final String REPORT_ABOVE_BOTTOM_BAR_COLOR = "ReportAboveBottomBarColor";

	public static final String REPORT_PROMPT_FILENAME = "ReportPromptFileName";
	public static final String REPORT_OVERWRITE_REPORT = "ReportOverwriteReport";
	public static final String REPORT_SHOW_STATISTICS = "ReportShowStatistics";
	public static final String REPORT_SHOW_OVERVIEW = "ReportShowOverview";
	public static final String REPORT_SHOW_CLASSES = "ReportShowClasses";
	public static final String REPORT_SHOW_FUNCTIONS = "ReportShowFunctions";
	public static final String REPORT_SHOW_TESTS = "ReportShowTests";
	public static final String REPORT_USE_COLORS = "ReportUseColors";
	public static final String REPORT_FONT_SIZE = "ReportFontSize";
	public static final String REPORT_USE_ALL_TESTS = "ReportSelectedTests";
	public static final String REPORT_IGNORE_INNER_CLASSES = "ReportSkipInnerClases";

	public static final String GENERAL_ANT_LOCATION = "GeneralAntLocation";
	public static final String GENERAL_CREATE_LOG = "GeneralCreateLog";
	public static final String GENERAL_OVERWRITE_LOG = "GeneralOverwriteLog";
	public static final String GENERAL_PARSE_DIRTY = "GeneralParseDirty";
	public static final String GENERAL_AUTO_REBUILD = "GeneralAutoRebuild";
	public static final String GENERAL_ENABLE_DEBUG = "GeneralEnableDebug";

}
