package sota.lang.java.ast.nodes;

import sota.ast.nodes.FileNode;
import sota.lang.java.ast.util.JavaASCFormatter;

/**
 * AST-Knoten fr eine Quellcodedatei.
 * */
public class JavaFileNode extends FileNode {

	/**
	 * Konstruktor.
	 * 
	 * @param name
	 *            der Name
	 * @param idOffset
	 *            der Offset fr die IDs der Knoten
	 */
	public JavaFileNode(String name, int idOffset) {
		super(name, idOffset);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see sota.ast.nodes.FileNode#createASCContent(int)
	 */
	public void createASCContent(int level) {
		startNode.setASCContent(JavaASCFormatter.insertIntro() + startNode.getASCContent()
				+ JavaASCFormatter.insertASCLoggerImport());
		endNode.setASCContent(endNode.getASCContent() + "\n");
	}
}