package sota.lang.java.gui.util;

import org.eclipse.jface.text.TextAttribute;
import org.eclipse.jface.text.rules.IToken;
import org.eclipse.jface.text.rules.RuleBasedScanner;
import org.eclipse.jface.text.rules.Token;

import sota.app.Application;
import sota.gui.preferences.PreferenceConstants;

/**
 * Ein Scanner, der die Farbe fr den Kommentar im Quellcode bereitstellt.
 * 
 */
public class JavaCommentScanner extends RuleBasedScanner {
	public JavaCommentScanner() {
		IToken token = new Token(new TextAttribute(Application
				.getColorFromPreferenceStore(PreferenceConstants.SOURCE_COMMENT_COLOR)));
		setDefaultReturnToken(token);
	}
}
