package sota.lang.java.gui.util;

import org.eclipse.jface.text.rules.IWordDetector;

/**
 * Entscheidet fr ein Zeichen, ob es Teil eines Schsselwortes ist.
 * 
 */
public class JavaWordDetector implements IWordDetector {
	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.text.rules.IWordDetector#isWordStart(char)
	 */
	public boolean isWordStart(char c) {
		for (int i = 0, n = JavaSyntax.KEYWORDS.length; i < n; i++)
			if (c == JavaSyntax.KEYWORDS[i].charAt(0))
				return true;
		return false;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.text.rules.IWordDetector#isWordPart(char)
	 */
	public boolean isWordPart(char c) {
		for (int i = 0, n = JavaSyntax.KEYWORDS.length; i < n; i++)
			if (JavaSyntax.KEYWORDS[i].indexOf(c) != -1)
				return true;
		return false;
	}
}
