package sota.gui;

import sota.ast.util.ASTManager;

/**
 * Ein Listener, der die implementierende Klasse darber informiert, dass die Sicht aktualisiert werden muss.
 * 
 */
public interface GuiUpdateListener {
	/**
	 * Wird bei der GUI-Aktualisierung aufgerufen.
	 * 
	 * @param ast
	 *            der aktuelle ASTManager
	 */
	public void guiUpdate(ASTManager ast);
}