package sota.gui.graph;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.Graphics;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.MarginBorder;
import org.eclipse.draw2d.geometry.Insets;
import org.eclipse.draw2d.geometry.Rectangle;

/**
 * Eine Klasse fr die Definition der Abstandshalter.
 * 
 */
public class SeparatorBorder extends MarginBorder {

	/**
	 * Der Konstrukor.
	 */
	SeparatorBorder() {

		super(5, 3, 3, 1);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.draw2d.MarginBorder#paint(org.eclipse.draw2d.IFigure, org.eclipse.draw2d.Graphics,
	 * org.eclipse.draw2d.geometry.Insets)
	 */
	public void paint(IFigure f, Graphics g, Insets i) {

		Rectangle r = getPaintRectangle(f, i);

		g.setForegroundColor(ColorConstants.buttonDarker);

		g.drawLine(r.x, r.y, r.right(), r.y);

	}

}