package sota.lang;

import sota.ast.util.ASTManager;

/**
 * Interface fr die ASTBuilderklassen, die den AST aus dem Quellcode erstellen sollen.
 * 
 */
public interface IASTBuilder {
	/**
	 * Erstellt die Knoten fr eine Datei im ASTManager.
	 * 
	 * @param ast
	 *            der ASTManager
	 * @param fileName
	 *            die Datei
	 * @return true, wenn erfolgreich, sonst false
	 */
	public boolean buildAST(ASTManager ast, String fileName);
}
