package sota.lang.java;

import java.util.ArrayList;

import sota.lang.LanguageSpecification;

public class JavaLanguageSpecification extends LanguageSpecification {

	public JavaLanguageSpecification() {
		name = "Java";
		extensions = new ArrayList<String>();
		astBuilder = "sota.lang.java.ast.util.JavaASTBuilder";
		cfgBuilder = "sota.gui.graph.CFGBuilder";
		logReader = "sota.ast.util.LogReader";
		sourceViewerConfiguration = "sota.lang.java.gui.util.JavaSourceViewerConfiguration";
		partitionScanner = "sota.lang.java.gui.util.JavaPartitionScanner";
		metricManager = "sota.ast.util.MetricManager";
		testLogManager = "sota.ast.util.TestLogManager";
		extensions.add("java");

	}
}
