package sota.lang.java.ast.nodes;

import sota.ast.nodes.ASTClassNode;
import sota.ast.nodes.IScopeNode;

/**
 * AST-Knoten fr Klassenstrukturen
 * */
public class JavaASTClassNode extends ASTClassNode {

	/**
	 * Der Konstruktor
	 * 
	 * @param ln
	 *            die Zeilennummer
	 * @param content
	 *            der Inhalt
	 * @param scope
	 *            der Scope
	 * @param name
	 *            der Name
	 * @param parent
	 *            der bergeordnete ScopenNode
	 */
	public JavaASTClassNode(int ln, String content, String scope, String name, IScopeNode parent) {
		super(ln, content, scope, name, parent);
	}
}